Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class ServiceSorm

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.ServiceSorm

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ServiceSorm extends IdTitle
Обвзяка класса Service для отображения в таблице услуг вместе с возможностью выбора для выгрузки

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceSorm()`
  `ServiceSorm(int id, String title)`
  `ServiceSorm(Service service, boolean isSelected)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `int`
  `getModuleId()`
  `boolean`
  `getUsing()`
  `boolean`
  `isInetServiceType()`
  `boolean`
  `isPhoneServiceType()`
  `boolean`
  `isSelected()`
  `void`
  `setDescription(String description)`
  `void`
  `setInetServiceType(boolean inetServiceType)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setPhoneServiceType(boolean phoneServiceType)`
  `void`
  `setSelected(boolean selected)`
  `void`
  `setUsing(boolean used)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ServiceSorm

    public ServiceSorm()

  - ### ServiceSorm

    public ServiceSorm(int id, String title)

  - ### ServiceSorm

    public ServiceSorm(Service service, boolean isSelected)

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getUsing

    public boolean getUsing()

  - ### setUsing

    public void setUsing(boolean used)

  - ### isSelected

    public boolean isSelected()

  - ### setSelected

    public void setSelected(boolean selected)

  - ### isInetServiceType

    public boolean isInetServiceType()

  - ### setInetServiceType

    public void setInetServiceType(boolean inetServiceType)

  - ### isPhoneServiceType

    public boolean isPhoneServiceType()

  - ### setPhoneServiceType

    public void setPhoneServiceType(boolean phoneServiceType)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)